Loading...
Searching...
No Matches
OdsDocHandlerInterface Class Referenceabstract

`#include <odsdochandlerinterface.h>`

## Public Member Functions

virtual void | startSheet (const QString &sheet_name)=0
virtual void | endSheet ()=0
virtual void | startLine ()=0
virtual void | endLine ()=0
virtual void | setCell (const OdsCell &)=0
virtual void | endDocument ()=0

## Detailed Description

Definition at line 42 of file odsdochandlerinterface.h.

## Member Function Documentation

## endDocument()

virtual void OdsDocHandlerInterface::endDocument | ( |  | ) |

pure virtual

callback that report the end of the ODS document. Override it if you need to know that reading is finished.

## endLine()

virtual void OdsDocHandlerInterface::endLine | ( |  | ) |

pure virtual

callback that indicates a line ending. Override it if needed.

## endSheet()

virtual void OdsDocHandlerInterface::endSheet | ( |  | ) |

pure virtual

callback that indicates the end of the current data sheet. Override it if needed

## setCell()

virtual void OdsDocHandlerInterface::setCell | ( | const OdsCell & |  | ) |

pure virtual

callback that report the content of the current cell in a dedicated Cell object. Override it if you need to retrieve cell content.

## startLine()

virtual void OdsDocHandlerInterface::startLine | ( |  | ) |

pure virtual

callback that indicates a new line start. Override it if needed.

## startSheet()

virtual void OdsDocHandlerInterface::startSheet | ( | const QString & | sheet_name | ) |

pure virtual

callback that indicates the begining of a data sheet. Override it in order to retrieve information about the current data sheet.

The documentation for this class was generated from the following file:

- odsstream/odsdochandlerinterface.h